# Bank verification

## Save bank account

<mark style="color:green;">`POST`</mark> `{{api_url}}/v1/wallets/banks/disbursement`

#### Headers

| Name          | Type   | Description                                                 |
| ------------- | ------ | ----------------------------------------------------------- |
| Accepts       | string | application/json                                            |
| Authorization | string | your Trustcrow API keys with which you authorize customers. |

#### Request Body

| Name                                              | Type   | Description                                  |
| ------------------------------------------------- | ------ | -------------------------------------------- |
| account\_number<mark style="color:red;">\*</mark> | string | account number of the customer               |
| bank\_code<mark style="color:red;">\*</mark>      | string | the bank code of the account number provided |
| user\_id<mark style="color:red;">\*</mark>        | string | the customer id of the account to be saved   |

{% tabs %}
{% tab title="200: OK disbursement account created successfully" %}

```javascript
{
    "status": true,
    "message": "Disbursement account created successfully",
    "data": {
        "wallet_id": "b78ec8db-4bab-43c3-84a1-a9d55d036d54",
        "account_number": "0139923749",
        "account_name": "FOLAGBADE HALEEMOH OPEYEMI",
        "bank_code": "058",
        "paystack_transfer_recipient": null,
        "id": "0878a1d3-a3f3-476b-a408-493117f71dfa",
        "created_at": "2023-12-26T13:54:13.160Z",
        "updated_at": "2023-12-26T13:54:13.160Z"
    }
}
```

{% endtab %}
{% endtabs %}

## Fetch customer bank details

You can list your customers bank using the endpoint below:

```javascript
curl --location 'http://trustcrow-api-sandbox.us-east-1.elasticbeanstalk.com/v1/wallets/banks/list' \
--header 'Authorization: {{secret_key}}'
```

## Account Name Enquiry

You can do an account lookup based on the account number and bank code provided using the endpoint below:

```javascript
curl --location 'http://trustcrow-api-sandbox.us-east-1.elasticbeanstalk.com/v1/wallets/banks/validate' \
--header 'Content-Type: application/json' \
--header 'Authorization: {{secret_key}}' \
--data '{
    "account_number": "0801471487",
    "bank_code": "044"
}'
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gotrustcrow.gitbook.io/trustcrow-api-v1/api-reference/other-tools/bank-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
